#ORION_II Normal Setup Mode File - MAE/JRG 
# Attribute Name  =	Value   #Comments
#
#  Modified 2/17/05 for updated values of VddOut, VggCl, VrstR, VrstG high values (jpg)
#  Modified 3/28/05: IR Acq channel selects set for NEWFIRM cold pre-amp board pinout (jpg)
#  Modified 3/30/05: for -6.40 V clock low level from -6.50 V, all row clocks. (jpg)
#  Modified 3/31/05: For Tend_Bias_Ary1,2 =-1.0 volts (jpg)
#  Modified 4/4/05 : For FBias4567 = -3.6 V (jpg)
#  Changed 4/2007 to enable warm mux operation. MAE/JRG	
#
# Make safe and be sure that the peripheral board clocks are on
MCB_CLKENABLE=0x3F		# Switch on the sysclk to clock and IR boards.
CLK0_OUTPUTEN=0			# Disable outputs on C&B board

# Load array dependent Clock&Bias Board voltages generic sets like an alladin_III	
vnrow_Ary1=-6.80	
vnrow_Ary2=-6.80	
vncol_Ary1=-4.00	
vncol_Ary2=-4.00	
vddout_Ary1=-1.50	
vddout_Ary2=-1.50	
vI_SlewRef_Ary1=-2.00
vI_SlewRef_Ary2=-2.00
vI_IdleRef_Ary1=-2.00
vI_IdleRef_Ary2=-2.00
vdetcom_Ary1=-4.00
vdetcom_Ary2=-4.00
vdduc_Ary1=-4.00
vdduc_Ary2=-4.00
vssext_Ary1=2.5
vssext_Ary2=2.5
vi_cmext_Ary1=2.5
vi_cmext_Ary2=2.5
vggCl_Ary1=-0.0		# Note that VggCL gets set to -4V just before switch closure at end.
vggCl_Ary2=-0.0		# This is to ensure VnRow comes up first. MAE/JRG. 4/2007.
vddCl_Ary1=-4.0
vddCl_Ary2=-4.0
Tend_Bias_Ary1=0.0
Tend_Bias_Ary2=0.0


VrstR_Ary1_Val[2]=-6.500
VrstR_Ary1_Val[1]=-3.70
VrstR_Ary1_Val[0]=-3.70
VrstR_Ary2_Val[2]=-6.500
VrstR_Ary2_Val[1]=-3.70
VrstR_Ary2_Val[0]=-3.70

VrstG_Ary1_Val[2]=-3.70
VrstG_Ary1_Val[1]=-6.500
VrstG_Ary1_Val[0]=-3.70
VrstG_Ary2_Val[2]=-3.70
VrstG_Ary2_Val[1]=-6.500
VrstG_Ary2_Val[0]=-3.70

VrowOn_Ary1_Val[1]=-4.200
VrowOn_Ary1_Val[0]=-0.000
VrowOn_Ary2_Val[1]=-4.200
VrowOn_Ary2_Val[0]=-0.000

VrowOff_Ary1_Val[0]=-0.000
VrowOff_Ary1_Val[1]=-0.000
VrowOff_Ary2_Val[0]=-0.000
VrowOff_Ary2_Val[1]=-0.000

phiRSync_h_Ary1=0.0	
phiRSync_h_Ary2=0.0	
phiRSync_l_Ary1=-6.40	
phiRSync_l_Ary2=-6.40	
phiR2_h_Ary1=0.00	
phiR2_h_Ary2=0.00	
phiR2_l_Ary1=-6.40	
phiR2_l_Ary2=-6.40	
phiRDes_h_Ary1=0.00	
phiRDes_h_Ary2=0.00	
phiRDes_l_Ary1=-6.40			
phiRDes_l_Ary2=-6.40			
phiR1_h_Ary1=0.00	
phiR1_h_Ary2=0.00	
phiR1_l_Ary1=-6.40	
phiR1_l_Ary2=-6.40	
phiROE_h_Ary1=0.00			
phiROE_h_Ary2=0.00			
phiROE_l_Ary1=-6.40	# Modified from -4.00 (01/12/05 jpg)		
phiROE_l_Ary2=-6.40	# Modified from -4.00 (01/12/05 jpg)		
phiCSync_h_Ary1=0.00			
phiCSync_h_Ary2=0.00			
phiCSync_l_Ary1=-4.00			
phiCSync_l_Ary2=-4.00			
phiC1_h_Ary1=0.00			
phiC1_h_Ary2=0.00			
phiC1_l_Ary1=-4.00			
phiC1_l_Ary2=-4.00			
phiC2_h_Ary1=0.00			
phiC2_h_Ary2=0.00			
phiC2_l_Ary1=-4.00			
phiC2_l_Ary2=-4.00			
	

# SETUP CLOCK AND BIAS		
CLK0_CLKPORT=0x7fffffff 	# Set initial clock pattern to all high        (01/12/05 jpg)
CLK0_FASTDAC0=0x0       	# Set initial FBias0123 pattern to all 0.0 V   (01/12/05 jpg)
CLK0_FASTDAC1=0x0          	# Set initial FBias4567 pattern to all -3.6 V  (04/04/05 jpg)


#COUNTER INITIALIZATION		
MCBSEQLOOPREGS[0]=512		# Load Row Loop Counter register
MCBSEQLOOPREGS[1]=16		# Load Column Loop Counter register
fSamples=1		# Load Fowler samples as 1
#MCBSEQLOOPREGS[3]=1		# Digital averages to 1
MCBSEQCMDREG=1			# Enable reset during Idle
intTime=0.7			# Load Integration Time register (700 ms)

sweeps=1			# number of times to run the array before doing the readouts
sweepTime=500			# time it takes to do a sweep
resetTime=12			# time to leave the resetG on in 5us tics
syncRsts=10			# number of resets to do after the SYNC before the read

# IR Acquisition Board Initialization
ACQ0_BNK0_OFFSETS[]=.6		# Load nominal offset voltage values, 1.0 v all banks
ACQ0_BNK1_OFFSETS[]=.6	
ACQ0_BNK2_OFFSETS[]=.6
ACQ0_BNK0_CONFIGS[]=0x0		# Load nominal mode config values for ADC's all banks
ACQ0_BNK1_CONFIGS[]=0x0	
ACQ0_BNK2_CONFIGS[]=0x0	

ACQ1_BNK0_OFFSETS[]=.6 	# Load nominal offset voltage values, 1.0 v all banks
ACQ1_BNK1_OFFSETS[]=.6	
ACQ1_BNK2_OFFSETS[]=.6	
ACQ1_BNK0_CONFIGS[]=0x0		# Load nominal mode config values for ADC's all banks
ACQ1_BNK1_CONFIGS[]=0x0
ACQ1_BNK2_CONFIGS[]=0x0

ACQ2_BNK0_OFFSETS[]=.6  	# Load nominal offset voltage values. 1.0 v all banks
ACQ2_BNK1_OFFSETS[]=.6	
ACQ2_BNK2_OFFSETS[]=.6	
ACQ2_BNK0_CONFIGS[]=0x0		# Load nominal mode config values for ADC's all banks
ACQ2_BNK1_CONFIGS[]=0x0	
ACQ2_BNK2_CONFIGS[]=0x0	

ACQ3_BNK0_OFFSETS[]=.6  	# Load nominal offset voltage values 1.0 v all banks
ACQ3_BNK1_OFFSETS[]=.6	
ACQ3_BNK2_OFFSETS[]=.6
ACQ3_BNK0_CONFIGS[]=0x0		# Load nominal mode config values for ADC's all banks
ACQ3_BNK1_CONFIGS[]=0x0
ACQ3_BNK2_CONFIGS[]=0x0

# Setup the channel redirection registers and channel count
# Modified 04/20/05 for NEWFIRM cold pre-amp board pinout by JPG
acq0NumChnls=32
acq0ChnlSel[0]=1
acq0ChnlSel[1]=18
acq0ChnlSel[2]=3
acq0ChnlSel[3]=20
acq0ChnlSel[4]=5
acq0ChnlSel[5]=22
acq0ChnlSel[6]=7
acq0ChnlSel[7]=24
acq0ChnlSel[8]=6
acq0ChnlSel[9]=25
acq0ChnlSel[10]=4
acq0ChnlSel[11]=23
acq0ChnlSel[12]=2
acq0ChnlSel[13]=21
acq0ChnlSel[14]=0
acq0ChnlSel[15]=19
acq0ChnlSel[16]=14
acq0ChnlSel[17]=17
acq0ChnlSel[18]=30
acq0ChnlSel[19]=13
acq0ChnlSel[20]=11
acq0ChnlSel[21]=28
acq0ChnlSel[22]=26
acq0ChnlSel[23]=9
acq0ChnlSel[24]=8
acq0ChnlSel[25]=27
acq0ChnlSel[26]=10
acq0ChnlSel[27]=29
acq0ChnlSel[28]=12
acq0ChnlSel[29]=31
acq0ChnlSel[30]=15
acq0ChnlSel[31]=16
acq0ChnlSel[32]=0
acq0ChnlSel[33]=0
acq0ChnlSel[34]=0
acq0ChnlSel[35]=0

acq1NumChnls=32
acq1ChnlSel[0]=19
acq1ChnlSel[1]=18
acq1ChnlSel[2]=3
acq1ChnlSel[3]=20
acq1ChnlSel[4]=5
acq1ChnlSel[5]=4
acq1ChnlSel[6]=7
acq1ChnlSel[7]=25
acq1ChnlSel[8]=1
acq1ChnlSel[9]=0
acq1ChnlSel[10]=21
acq1ChnlSel[11]=2
acq1ChnlSel[12]=23
acq1ChnlSel[13]=22
acq1ChnlSel[14]=6
acq1ChnlSel[15]=24
acq1ChnlSel[16]=14
acq1ChnlSel[17]=15
acq1ChnlSel[18]=30
acq1ChnlSel[19]=12
acq1ChnlSel[20]=28
acq1ChnlSel[21]=29
acq1ChnlSel[22]=27
acq1ChnlSel[23]=9
acq1ChnlSel[24]=17
acq1ChnlSel[25]=16
acq1ChnlSel[26]=13
acq1ChnlSel[27]=31
acq1ChnlSel[28]=11
acq1ChnlSel[29]=10
acq1ChnlSel[30]=8
acq1ChnlSel[31]=26
acq1ChnlSel[32]=0
acq1ChnlSel[33]=0
acq1ChnlSel[34]=0
acq1ChnlSel[35]=0

acq2NumChnls=32
acq2ChnlSel[0]=1
acq2ChnlSel[1]=18
acq2ChnlSel[2]=3
acq2ChnlSel[3]=20
acq2ChnlSel[4]=5
acq2ChnlSel[5]=22
acq2ChnlSel[6]=7
acq2ChnlSel[7]=24
acq2ChnlSel[8]=6
acq2ChnlSel[9]=25
acq2ChnlSel[10]=4
acq2ChnlSel[11]=23
acq2ChnlSel[12]=2
acq2ChnlSel[13]=21
acq2ChnlSel[14]=0
acq2ChnlSel[15]=19
acq2ChnlSel[16]=14
acq2ChnlSel[17]=17
acq2ChnlSel[18]=30
acq2ChnlSel[19]=13
acq2ChnlSel[20]=11
acq2ChnlSel[21]=28
acq2ChnlSel[22]=26
acq2ChnlSel[23]=9
acq2ChnlSel[24]=8
acq2ChnlSel[25]=27
acq2ChnlSel[26]=10
acq2ChnlSel[27]=29
acq2ChnlSel[28]=12
acq2ChnlSel[29]=31
acq2ChnlSel[30]=15
acq2ChnlSel[31]=16
acq2ChnlSel[32]=0
acq2ChnlSel[33]=0
acq2ChnlSel[34]=0
acq2ChnlSel[35]=0

acq3NumChnls=32
acq3ChnlSel[0]=19
acq3ChnlSel[1]=18
acq3ChnlSel[2]=3
acq3ChnlSel[3]=20
acq3ChnlSel[4]=5
acq3ChnlSel[5]=4
acq3ChnlSel[6]=7
acq3ChnlSel[7]=25
acq3ChnlSel[8]=1
acq3ChnlSel[9]=0
acq3ChnlSel[10]=21
acq3ChnlSel[11]=2
acq3ChnlSel[12]=23
acq3ChnlSel[13]=22
acq3ChnlSel[14]=6
acq3ChnlSel[15]=24
acq3ChnlSel[16]=14
acq3ChnlSel[17]=15
acq3ChnlSel[18]=30
acq3ChnlSel[19]=12
acq3ChnlSel[20]=28
acq3ChnlSel[21]=29
acq3ChnlSel[22]=27
acq3ChnlSel[23]=9
acq3ChnlSel[24]=17
acq3ChnlSel[25]=16
acq3ChnlSel[26]=13
acq3ChnlSel[27]=31
acq3ChnlSel[28]=11
acq3ChnlSel[29]=10
acq3ChnlSel[30]=8
acq3ChnlSel[31]=26
acq3ChnlSel[32]=0
acq3ChnlSel[33]=0
acq3ChnlSel[34]=0
acq3ChnlSel[35]=0





# SETUP IR ACQUISITION		
ACQ0_DAUGHTER=1			# Enable the pipeline write function + Daughter board inactive
ACQ1_DAUGHTER=1			# Enable the pipeline write function + Daughter board inactive
ACQ2_DAUGHTER=1			# Enable the pipeline write function + Daughter board inactive
ACQ3_DAUGHTER=1			# Enable the pipeline write function + Daughter board inactive

ACQ0_CFGADC=0			# Set the adc mode from bank 0
ACQ1_CFGADC=0			# Set the adc mode from bank 0
ACQ2_CFGADC=0			# Set the adc mode from bank 0
ACQ3_CFGADC=0			# Set the adc mode from bank 0

ACQ0_CFGDAC=0			# Set the offset dacs from bank 0
ACQ1_CFGDAC=0			# Set the offset dacs from bank 0
ACQ2_CFGDAC=0			# Set the offset dacs from bank 0
ACQ3_CFGDAC=0			# Set the offset dacs from bank 0

ACQ0_PIPEPRIORITY=0
ACQ1_PIPEPRIORITY=1
ACQ2_PIPEPRIORITY=2
ACQ3_PIPEPRIORITY=3

ACQ0_PIPELINE=1	
ACQ1_PIPELINE=1	
ACQ2_PIPELINE=1	
ACQ3_PIPELINE=1	

#
# these determine the maximum array size must be smaller than the values in the .arr file
mosaicRows=1			# number of arrays in the col direction
mosaicCols=2			# number of arrays in the row direction
pxlRows=2048  			# number of active rows in one array
pxlCols=2048			# number of active cols in one array
refCols=64                      # number of refCols per array row
#
# These are the current size of the array
imageRows=4096   		# number of rows in focal plane
imageCols=2048   		# number of cols in focal plane
rawPxlSize=2			# number of Bytes in a raw pixel value changed from 4, 11/30/06 r.g.
finPxlSize=4			# number of Bytes in a finished pixel value
finDataType=32			# DHS_UINT four bytes 32 bits
xStart[0]=0     		# lower left for nfpan-a,  xStart[0]=0    for nfpan-b   
yStart[0]=0     		# lower left for nfpan-a,  yStart[0]=2048 for nfpan-b
xStart[1]=2048    		# lower right for nfpan-a, xStart[1]=2048 for nfpan-b   
yStart[1]=0			# lower right for nfpan-a, xStart[1]=2048 for nfpan-b3

frmsPerRdOut=2  		# number of times the arry is read out for one simple exposure
fSamples=1			# number of noise reduction reads to do
digAvgs=4                       # number of digital averages, modified from 4 (01/12/05 jpg)
coadds=1			# number of frames to coadd
captureMode=1   		# capture mode 0=NORMAL, 1=SEP, 2=BLOCKREAD
expMode=2			# mode of the exposure
processMode=0   		# Processing mode 0=SEP 1=Add_F1toF2
mcbDblPxlXFer=1

# Default file name prefix
imageFile=filename          # Modified from newfirmDheA (03/16/06 R.G.)
imageDir=/data			# added to file (03/16/06 R.G.)

# load a 2 here for the test image in the sequencer

expVector=13			# vector for master slave syncing
#numTstRows=65535		# number of test rows of N columns to produce
#ctcPeriod=136			# number of 50ns ticks between each CTC. Modified from 70 (01/12/05 jpg)

# Set up master and slave for sync
mcbSeqEnable=0

mcbDheMaster=1
mcbClkInCtl=1
mcbClkOutCtl=1
mstrSyncDly=0


# Done to turn on mux correctly
vggCl_Ary1=-3.4		#Omitted at initial turn on to allow warm mux to come up nice. 5/1/07 JRG/MAE 
vggCl_Ary2=-3.4

#CLK0_OUTPUTEN=3		# Enable Bias outputs on C&B board.
#CLK0_OUTPUTEN=7		# Enable Fast Bias outputs on C&B.
#CLK0_OUTPUTEN=255	# Enable Clock outputs on C&B.


# set VrstG pulses every 2 ms during idle as default
mcbSeqRstIdleEn=1

# Debug LED functions
mcbSeqBusReqLed=1
mcbFpdpBusyLed=1
acq0PipeReqLed=1
acq1PipeReqLed=1
acq2PipeReqLed=1
acq3PipeReqLed=1
mcbPxlCounter=0
mcbMsgCounter=0

rdOutTime[0]=0.699
rdOutTime[1]=0.941
rdOutTime[2]=1.238
rdOutTime[3]=1.833
rdOutTime[4]=3.022
rdOutTime[5]=4.699
rdOutTime[6]=5.699

#mcbseqEnable=1       		# start sequencer	
labSystem=3
